- name: Elastic service TLS certificate
  k8s:
    state: present
    definition:
      apiVersion: cert-manager.io/v1
      kind: Certificate
      metadata:
        name: "{{ config.elastic.tls_es_service_secret_name }}"
        namespace: "{{ config.elastic.namespace }}"
      spec:
        secretName: "{{ config.elastic.tls_es_service_secret_name }}"
        issuerRef:
          name: "{{ config.certmanager.issuer }}"
          kind: ClusterIssuer
        dnsNames:
        - "{{ config.elastic.internal_fqdn }}"

- name: Wait till certificate is available
  k8s_info:
    kind: Certificate
    name: "{{ config.elastic.tls_es_service_secret_name }}"
    namespace: "{{ config.elastic.namespace }}"
  register: es_service_tls_secret
  retries: 30
  delay: 10
  until: es_service_tls_secret.resources[0].status.conditions | default([]) | json_query("[?type=='Ready' && status=='True']")